Subject: Re: [PATCH 2/7] Powerpc MSI implementation

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 13 Jan 2007 16:57:43 +1100

> No, what's wrong with just fixing everything up to work properly all at
> once?  The Altix code should have been a step forward in making this
> "abstracted" into something that other arches could use.  If that's not
> true, then please work everything so that it all works nicely together.
>
> In short, I don't want to see two different implementations in the tree
> at the same time, that's not acceptable, sorry.

So you are saying that despite the current stuff being beyond repair, we
can't provide an alternate working implementation that fits our needs
unless we also port over Altic and Intel, which we don't know and don't
have testing gear, not even within our arch code ?

So you are trying to make sure PowerPC doesn't get MSI support until
next year or what ?

Ben.